## Index

### Functions

- isAnyArrayBuffer
- isArgumentsObject
- isArrayBuffer
- isAsyncFunction
- isBooleanObject
- isBoxedPrimitive
- isDataView
- isDate
- isExternal
- isFloat32Array
- isFloat64Array
- isGeneratorFunction
- isGeneratorObject
- isInt16Array
- isInt32Array
- isInt8Array
- isMap
- isMapIterator
- isNativeError
- isNumberObject
- isPromise
- isProxy
- isRegExp
- isSet
- isSetIterator
- isSharedArrayBuffer
- isStringObject
- isSymbolObject
- isTypedArray
- isUint16Array
- isUint32Array
- isUint8Array
- isUint8ClampedArray
- isWeakMap
- isWeakSet
- isWebAssemblyCompiledModule

## Functions

### isAnyArrayBuffer

- isAnyArrayBuffer(object: any): boolean

- - Defined in node_modules/@types/node/util.d.ts:112

  #### Parameters

  - ##### object: any

  #### Returns boolean

### isArgumentsObject

- isArgumentsObject(object: any): boolean

- - Defined in node_modules/@types/node/util.d.ts:113

  #### Parameters

  - ##### object: any

  #### Returns boolean

### isArrayBuffer

- isArrayBuffer(object: any): boolean

- - Defined in node_modules/@types/node/util.d.ts:114

  #### Parameters

  - ##### object: any

  #### Returns boolean

### isAsyncFunction

- isAsyncFunction(object: any): boolean

- - Defined in node_modules/@types/node/util.d.ts:115

  #### Parameters

  - ##### object: any

  #### Returns boolean

### isBooleanObject

- isBooleanObject(object: any): boolean

- - Defined in node_modules/@types/node/util.d.ts:116

  #### Parameters

  - ##### object: any

  #### Returns boolean

### isBoxedPrimitive

- isBoxedPrimitive(object: any): boolean

- - Defined in node_modules/@types/node/util.d.ts:117

  #### Parameters

  - ##### object: any

  #### Returns boolean

### isDataView

- isDataView(object: any): boolean

- - Defined in node_modules/@types/node/util.d.ts:118

  #### Parameters

  - ##### object: any

  #### Returns boolean

### isDate

- isDate(object: any): boolean

- - Defined in node_modules/@types/node/util.d.ts:119

  #### Parameters

  - ##### object: any

  #### Returns boolean

### isExternal

- isExternal(object: any): boolean

- - Defined in node_modules/@types/node/util.d.ts:120

  #### Parameters

  - ##### object: any

  #### Returns boolean

### isFloat32Array

- isFloat32Array(object: any): boolean

- - Defined in node_modules/@types/node/util.d.ts:121

  #### Parameters

  - ##### object: any

  #### Returns boolean

### isFloat64Array

- isFloat64Array(object: any): boolean

- - Defined in node_modules/@types/node/util.d.ts:122

  #### Parameters

  - ##### object: any

  #### Returns boolean

### isGeneratorFunction

- isGeneratorFunction(object: any): boolean

- - Defined in node_modules/@types/node/util.d.ts:123

  #### Parameters

  - ##### object: any

  #### Returns boolean

### isGeneratorObject

- isGeneratorObject(object: any): boolean

- - Defined in node_modules/@types/node/util.d.ts:124

  #### Parameters

  - ##### object: any

  #### Returns boolean

### isInt16Array

- isInt16Array(object: any): boolean

- - Defined in node_modules/@types/node/util.d.ts:126

  #### Parameters

  - ##### object: any

  #### Returns boolean

### isInt32Array

- isInt32Array(object: any): boolean

- - Defined in node_modules/@types/node/util.d.ts:127

  #### Parameters

  - ##### object: any

  #### Returns boolean

### isInt8Array

- isInt8Array(object: any): boolean

- - Defined in node_modules/@types/node/util.d.ts:125

  #### Parameters

  - ##### object: any

  #### Returns boolean

### isMap

- isMap(object: any): boolean

- - Defined in node_modules/@types/node/util.d.ts:128

  #### Parameters

  - ##### object: any

  #### Returns boolean

### isMapIterator

- isMapIterator(object: any): boolean

- - Defined in node_modules/@types/node/util.d.ts:129

  #### Parameters

  - ##### object: any

  #### Returns boolean

### isNativeError

- isNativeError(object: any): boolean

- - Defined in node_modules/@types/node/util.d.ts:130

  #### Parameters

  - ##### object: any

  #### Returns boolean

### isNumberObject

- isNumberObject(object: any): boolean

- - Defined in node_modules/@types/node/util.d.ts:131

  #### Parameters

  - ##### object: any

  #### Returns boolean

### isPromise

- isPromise(object: any): boolean

- - Defined in node_modules/@types/node/util.d.ts:132

  #### Parameters

  - ##### object: any

  #### Returns boolean

### isProxy

- isProxy(object: any): boolean

- - Defined in node_modules/@types/node/util.d.ts:133

  #### Parameters

  - ##### object: any

  #### Returns boolean

### isRegExp

- isRegExp(object: any): boolean

- - Defined in node_modules/@types/node/util.d.ts:134

  #### Parameters

  - ##### object: any

  #### Returns boolean

### isSet

- isSet(object: any): boolean

- - Defined in node_modules/@types/node/util.d.ts:135

  #### Parameters

  - ##### object: any

  #### Returns boolean

### isSetIterator

- isSetIterator(object: any): boolean

- - Defined in node_modules/@types/node/util.d.ts:136

  #### Parameters

  - ##### object: any

  #### Returns boolean

### isSharedArrayBuffer

- isSharedArrayBuffer(object: any): boolean

- - Defined in node_modules/@types/node/util.d.ts:137

  #### Parameters

  - ##### object: any

  #### Returns boolean

### isStringObject

- isStringObject(object: any): boolean

- - Defined in node_modules/@types/node/util.d.ts:138

  #### Parameters

  - ##### object: any

  #### Returns boolean

### isSymbolObject

- isSymbolObject(object: any): boolean

- - Defined in node_modules/@types/node/util.d.ts:139

  #### Parameters

  - ##### object: any

  #### Returns boolean

### isTypedArray

- isTypedArray(object: any): boolean

- - Defined in node_modules/@types/node/util.d.ts:140

  #### Parameters

  - ##### object: any

  #### Returns boolean

### isUint16Array

- isUint16Array(object: any): boolean

- - Defined in node_modules/@types/node/util.d.ts:143

  #### Parameters

  - ##### object: any

  #### Returns boolean

### isUint32Array

- isUint32Array(object: any): boolean

- - Defined in node_modules/@types/node/util.d.ts:144

  #### Parameters

  - ##### object: any

  #### Returns boolean

### isUint8Array

- isUint8Array(object: any): boolean

- - Defined in node_modules/@types/node/util.d.ts:141

  #### Parameters

  - ##### object: any

  #### Returns boolean

### isUint8ClampedArray

- isUint8ClampedArray(object: any): boolean

- - Defined in node_modules/@types/node/util.d.ts:142

  #### Parameters

  - ##### object: any

  #### Returns boolean

### isWeakMap

- isWeakMap(object: any): boolean

- - Defined in node_modules/@types/node/util.d.ts:145

  #### Parameters

  - ##### object: any

  #### Returns boolean

### isWeakSet

- isWeakSet(object: any): boolean

- - Defined in node_modules/@types/node/util.d.ts:146

  #### Parameters

  - ##### object: any

  #### Returns boolean

### isWebAssemblyCompiledModule

- isWebAssemblyCompiledModule(object: any): boolean

- - Defined in node_modules/@types/node/util.d.ts:147

  #### Parameters

  - ##### object: any

  #### Returns boolean

Generated using TypeDoc